gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecInt64

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for 64bit integer properties.

Synopsis

- newtype ParamSpecInt64 = ParamSpecInt64 (ManagedPtr ParamSpecInt64)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecInt64 o) => IsParamSpecInt64 o
- toParamSpecInt64 :: (MonadIO m, IsParamSpecInt64 o) => o -> m ParamSpecInt64

# Exported types

newtype ParamSpecInt64 Source #

Memory-managed wrapper type.

Constructors

ParamSpecInt64 (ManagedPtr ParamSpecInt64) |

#### Instances

Instances details

Eq ParamSpecInt64 Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecInt64 Methods (==) :: ParamSpecInt64 -> ParamSpecInt64 -> Bool Source # (/=) :: ParamSpecInt64 -> ParamSpecInt64 -> Bool Source #
BoxedPtr ParamSpecInt64 Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecInt64 Methods boxedPtrCopy :: ParamSpecInt64 -> IO ParamSpecInt64 Source # boxedPtrFree :: ParamSpecInt64 -> IO () Source #
ManagedPtrNewtype ParamSpecInt64 Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecInt64 Methods toManagedPtr :: ParamSpecInt64 -> ManagedPtr ParamSpecInt64 Source #
TypedObject ParamSpecInt64 Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecInt64 Methods glibType :: IO GType Source #
HasParentTypes ParamSpecInt64 Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecInt64
type ParentTypes ParamSpecInt64 Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecInt64 type ParentTypes ParamSpecInt64 = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecInt64 o) => IsParamSpecInt64 o Source #

Type class for types which can be safely cast to `ParamSpecInt64`, for instance with `toParamSpecInt64`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecInt64 o) => IsParamSpecInt64 o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecInt64

toParamSpecInt64 :: (MonadIO m, IsParamSpecInt64 o) => o -> m ParamSpecInt64 Source #

Cast to `ParamSpecInt64`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.